| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLBigDecimal Class Reference

Inheritance diagram for XMLBigDecimal:

[legend]
Collaboration diagram for XMLBigDecimal:

[legend]
List of all members.

## Public Methods

| XMLBigDecimal (const XMLCh *const strValue, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructs a newly allocated `XMLBigDecimal` object that represents the value represented by the string.
| ~XMLBigDecimal ()
virtual XMLCh * | toString () const
| Deprecated: please use getRawData.
virtual XMLCh * | getRawData () const
| Return string representation of the decimal value.
virtual const XMLCh * | getFormattedString () const
| Return the original and converted value of the original data.
virtual int | getSign () const
| Returns the sign of this number.
const XMLCh * | getValue () const
unsigned int | getScale () const
unsigned int | getTotalDigit () const
int | toCompare (const XMLBigDecimal &other) const
| Compares this object to the specified object.

## Static Public Methods

int | compareValues (const XMLBigDecimal *const lValue, const XMLBigDecimal *const rValue)

## Constructor & Destructor Documentation

XMLBigDecimal::XMLBigDecimal | ( | const XMLCh *const | strValue,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

Constructs a newly allocated `XMLBigDecimal` object that represents the value represented by the string.

Parameters:

  strValue | the `String` to be converted to an `XMLBigDecimal`.

Exceptions:

  NumberFormatException | if the `String` does not contain a parsable XMLBigDecimal.

XMLBigDecimal::~XMLBigDecimal | ( |  | ) |

## Member Function Documentation

int XMLBigDecimal::compareValues | ( | const XMLBigDecimal *const | lValue,
|  | const XMLBigDecimal *const | rValue
| ) | `[static]`

const XMLCh * XMLBigDecimal::getFormattedString | ( |  | ) | `[virtual]`

| Return the original and converted value of the original data. (applicable to double/float) The internal buffer is returned directly, user is not required to delete the returned buffer Implements XMLNumber.

XMLCh * XMLBigDecimal::getRawData | ( |  | ) | `[virtual]`

| Return string representation of the decimal value. A decimal point will be included as necessary. Similar to toString above, but the internal buffer is returned directly, user is not required to delete the returned buffer Implements XMLNumber.

unsigned int XMLBigDecimal::getScale | ( |  | ) |

int XMLBigDecimal::getSign | ( |  | ) | `[virtual]`

| Returns the sign of this number. -1 negative 0 zero 1 positive Implements XMLNumber.

unsigned int XMLBigDecimal::getTotalDigit | ( |  | ) |

const XMLCh * XMLBigDecimal::getValue | ( |  | ) |

int XMLBigDecimal::toCompare | ( | const XMLBigDecimal & | other | ) | const

Compares this object to the specified object.

Parameters:

  toCompare | the object to compare with.

Returns:
  `-1` value is less than other's `0` value equals to other's `+1` value is greater than other's

XMLCh * XMLBigDecimal::toString | ( |  | ) | `[virtual]`

| Deprecated: please use getRawData. Implements XMLNumber.

The documentation for this class was generated from the following file:

- XMLBigDecimal.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.